Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.types
Class Environment

    java.lang.Object
      org.apache.tools.ant.types.Environment

Direct Known Subclasses:
  CommandlineJava.SysProperties

public class Environment
extends java.lang.Object

Wrapper for environment variables.

Author:
  Stefan Bodewig

Nested Class Summary
`static class` | `Environment.Variable`

Field Summary
`protected java.util.Vector` | `variables`

Constructor Summary
`Environment()`

Method Summary
`void` | `addVariable(Environment.Variable var)`
`java.lang.String[]` | `getVariables()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### variables

    protected java.util.Vector variables

Constructor Detail

### Environment

    public Environment()

Method Detail

### addVariable

    public void addVariable(Environment.Variable var)

### getVariables

    public java.lang.String[] getVariables()
                                    throws BuildException

  Throws:
    `BuildException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.